angle, station, uvmin, uvmax, ampmin, ampmax, phsmin, phsmax, docursor
Plot visibility amplitudes and/or phases versus projected UV distance.
EXAMPLE
-------

0> projplot 45
0>

This example plots baseline amplitude and phase versus UV distance
along a radial line 45 degrees North through East. Model data if
present is plotted in red. If the display device has a cursor then
interactive mode will be invoked after the initial display has been
completed.

PARAMETERS
----------

angle     -   (Optional: default = 0.0)
              The angle of the radial line along which the UV distance
              is to be measured, given in degrees North through East.

station   -   (Optional) The name of a station to highlight in the
              plot. If not given or given as an empty string "", no
              station will initially be highlighted. (Stations
              can be specified subsequently with the cursor).

uvmin     -   (Optional) Default=0.
              The minimum UV radius to display.
	      Unless changed with the mapunits command, the units are
              millions of wavelengths.

uvmax     -   (Optional) Default=0. (0 specifies the whole range).
              The maximum UV radius to display.
	      Unless changed with the mapunits command, the units are
              millions of wavelengths.

ampmin    -   (Optional) Default=0.
              The minimum amplitude to display.

ampmax    -   (Optional) Default=0.
              The maximum amplitude to display.
              If you want to set later arguments while keeping the
              default amplitude range set both ampmin and ampmax
              to 0.

phsmin    -   (Optional) Default=-180.
              The minimum phase to be displayed (degrees).

phsmax    -   (Optional) Default=+180.
              The maximum phase to be displayed (degrees).
              If you want to set later arguments while keeping the
              default amplitude range set both phsmin and phsmax
              to 0.

docursor  -   (Optional) Default=TRUE.
              If the display device has a cursor but you don't want
              to enter the interactive cursor mode, make this FALSE.

CONTEXT
-------
This command is almost identical to the radplot command, except that
rather than displaying data versus radial distance from the orgin,
projplot displays the same data versus the UV distance parallel to a
given position angle. This is useful for the class of sources that
are dominated by structure along a given position angle. Such sources
include double sources and sources with linear jets. When projplot is
used to plot such data at the same position angle as the dominant
source structure then its effectively 1-dimensional structure is
revealed. In particular, for a double source, when the projection
angle in projplot matches the position angle of the line connecting
the two sources, you should see decaying cos-squared fringes in the
amplitude plot and a linear ramp in phase. Setting the projection
angle accurately is essential to seeing such structure, so projplot
provides interactive angle increment and decrement keys to help search
for the best angle (see below). Apart from the obvious educational and
essthetic uses of such a display, when used with linearly oriented
structures, projplot has the advantage over radplot of displaying data
in a less messy form in which bad data can more easily be identified.

INTERACTIVE MODE
----------------
If your display device has a cursor, then there are a number of
interactive options that you can use. These are selected by moving the
cursor into the plot window, and pressing the following keys:


   X - Quit the projplot session, and return to the difmap prompt.

   L - Re-display the plot.

   . - Toggle the marker symbol used to display the data between the
       smallest available and the next largest. By default
       the smallest possible marker symbol is used for speed, but if
       if the data are sparse then the larger marker symbol may be more
       convenient.

   H - (Help) Briefly list all keyboard options.

   n - Highlight visibilities from the next telescope in the currently
       highlighted sub-array. Initially no telescope is highlighted.
       If this key then pressed, the visibilities of the first
       telescope of the first sub-array will be highlighted. Pressing
       this key again highlights the second telescope, etc.. When the
       last telescope of the current sub-array has been plotted, the
       first telescope of the next sub-array will be plotted. So by
       repeatedly pressing this key you will eventually have seen each
       telescope of all sub-arrays individually highlighted.

   p - This has the reverse the effect to the 'n' key, highlighting
       the visibilities of the previous telescope in the current
       sub-array, and wrapping back to the last telescope in the
       previous sub-array, after the first telescope of the current
       sub-array is highlighted.

   N - [Upper-case n] Similar to the lower-case 'n' key this key
       results in the first telescope of the next sub-array in the
       observation to be highlighted. In this way you can jump between
       sub-arrays without having to see all the telescopes of the
       intermediate sub-arrays highlighted one at a time.

   P - [Upper-case p] This has the reverse effect of the 'N' key,
       allowing one to directly step backwards through sub-arrays.

   T - To have a specific telescope of a specific sub-array
       highlighted without having to step through all the intermediate
       telescopes and sub-arrays, press this key. On the text window
       you will then be prompted for the name of the telescope to be
       highlighted. Telescopes are specified by an optional sub-array
       number delimited by a colon, followed by an unambiguous
       telescope name prefix. If the sub-array number and colon are
       omitted then the sub-array from which telescopes are currently
       being highlighted will be assumed. For instance, both
       3:BONN and BON refer to a telescope named BONN in sub-array 3
       if another telescope of sub-array 3 is currently being
       highlighted. Also, provided that sub-array 2 does not contain
       more than one telescope starting with the prefix JBN, 2:JBN is
       sufficient to refer to a telescope called JBNK1 in sub-array 2.

  S  - This key invokes a report on the baseline and time of the
       nearest point to the cursor. The result is displayed on your
       terminal. The actual data point is unaffected.

  A  - This key (left-mouse-button) flags the nearest data-point to
       to the cursor. Note that the preferred method for editing
       points is through the vplot command in station editing mode.
       Individual points should only be flagged in projplot if they
       are clearly singled out as being extremely bad, as opposed to
       being part of a group of bad points manifesting a bad telescope.
       If you delete too many points singly, rather than by station you
       may find that subsequent self-calibration will produce wild
       solutions due to incomplete or ambiguous un-connected closure
       triangles.

  C  - This initiates cut area selection, through which a rectangular
       area may be selected within which to flag data. After pressing
       'C' you will be expected to enter the locations of two opposite
       corners of the area, by pressing 'A' (left-mouse-button) over
       the corresponding points of the plot. To cancel a half selected
       area press 'D' (central-mouse-button). Once two corners have
       been selected, all visibilities displayed in that area will be
       flagged and will then disappear from the plot.

  W  - Toggle spectral-line based editing. By default, edits are
       applied to all polarizations over the range of spectral-line
       channels requested in the last use of the 'select' command. The
       'W' key toggles between applying edits to the currently
       selected spectral-line channels, and to all spectral-channels.
       The mode line above the plot shows the spectral-line channel
       range being edited.

  U  - Select a new UV-distance display range. Having pressed this key,
       you will be expected to either press it a second time to
       select the full available UV-distance range (and enable future
       autoscaling), or to select a new range by pressing the 'A' key
       twice, once at each of the two UV-radii that enclose the
       desired range. To abort the selection press the 'D' key (middle
       mouse button) and the display will remain unchanged.

  Z  - Select a new amplitude or phase display range. Having pressed
       this key, you will be expected to either press it a second time
       to select the full available amplitude and phase ranges (and
       enable future autoscaling), or to select a new range by
       pressing the 'A' key twice, once at each of the two amplitudes
       or phases that enclose the desired range. To abort the
       selection press the 'D' key (middle mouse button) and the
       display will remain unchanged.

Keys used to interactively change the projection angle:

  ?  - If you press this key then in the terminal window that you
       invoked projplot from, you will be prompted to enter a new
       projection angle in degrees. Having done so the display will
       be updated for the new projectio angle.

  <  - This key decrements the currently selected projection angle by
       5 degrees and then updates the display for the new angle.

  >  - This key decrements the currently selected projection angle by
       5 degrees and then updates the display for the new angle.

Display mode options. The following keys each change how the data are
displayed. In order that you can change more than one attribute at a
time, they may be grouped by pressing one key after the other. When
you have speficied all the attributes that you want to, press the RETURN
key and the display will be refreshed.
 
  M  - This key toggles whether the model is plotted. Model
       amplitudes/phases are plotted as red dots.

  1  - Only display amplitudes versus UV radius.

  2  - Only display phases versus UV radius.

  3  - Display both amplitudes and phases in vertically adjacent plots.

  +  - This key toggles whether the cursor is shown as a small cross or
       as a cross-hair that extends the full width and height of the
       display. Currently only the /xserve and /xwindow PGPLOT devices
       support this feature.

CONFIGURATION VARIABLES
-----------------------
The display-mode option keys listed above may be preset in the
variable, 'pflags'. If pflags is an empty string, "", then the default
option string "m3" is substituted. This requests that the othrwise
optional plotting of the model be selected by default and that both
amplitudes and phases be displayed. To override this default and have
projplot start up by displaying just amplitudes, on the command line
one would type:

0> pflags="m1"

If you always want to override the default, then place such an
assignment line in your difmap login file (the file named in the
optional DIFMAP_LOGIN environment variable).

OTHER DISPLAY COMMANDS
----------------------
radplot  -   Display visibilities amp/phase vs. UV radius.
uvplot   -   Display the sampling of the UV plane.
vplot    -   Display observed and model visibilities from the current IF.
tplot    -   Display the time-sampling of each telescope of the current IF.
corplot  -   Display the self-cal corrections of the current IF.
cpplot   -   Display observed and model closure phases interactively.
